Subject: Re: bug#21526: 24.5; prolog-mode: broken indentation for if-then-else construct

From: Stefan Monnier <[email-masked]>
Date: Wed, 21 Oct 2015 21:16:23 -0400

> This was the default behaviour of this mode, up until the point these
> regressions were introduced.  All it takes is to re-introduce the flag to
> disable the, in my view, currently in many ways broken new indentation
> code, and use the previous behaviour of Stefan Bruda's original mode,
> which was also the default when this mode was included in GNU Emacs.

OK, let's turn things around, indeed: we revert to Stefan Bruda's
indentation code, you're handed responsibility over that code, and I get
to send you the bug reports about all the regressions this will introduce.

        Stefan